### Method

# Vte Terminal write_contents_sync

#### Declaration [src]

    gboolean
    vte_terminal_write_contents_sync (
      VteTerminal* terminal,
      GOutputStream* stream,
      VteWriteFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Write contents of the current contents of `terminal` (including any scrollback history) to `stream` according to `flags`.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned in `error`.

This is a synchronous operation and will make the widget (and input processing) during the write operation, which may take a long time depending on scrollback history and `stream` availability for writing.

#### Parameters

`stream`

  Type: `GOutputStream`

  A `GOutputStream` to write to.

  The data is owned by the caller of the method.

`flags`

  Type: `VteWriteFlags`

  A set of `VteWriteFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if there was an error.